Subject: Re: another possible bug.
From: Geoffrey Noer <[email-masked]>
To: Jason Lashua <[email-masked]>
Cc: gnu <[email-masked]>
Date: Wed, 3 Feb 1999 20:35:39 -0800

On Wed, Feb 03, 1999, Jason Lashua wrote:
>
>    Ok, i have discovered why half the programs i compile suddenly stop
> working after they're copied!
> 
> the whole files arent being copied!
> 
> the compiler works beautifuly after all, but when i cp a file, only a
> fractino of its contents usually gets copied, since i re installed
> cygnus after really screwing it up (moved path names into a more *nix
> structre broke it :P) i compiled make-3.77
> now the EXE worked fine in the build dir, but when i copied it to
> /cygwin-b20/h-i586-cygwin32/bin, it didnt work, and i was really
> puzzled, until i did ls -l, and found that the exe was only 4,999
> bytes..
> i went back in the /usr/src/make-3.77 directory and ran ls -l, and the
> file size of make.exe was 651,788 !
> 
> So, not only is cygnus clipping strings, but tis not copying full
> files.  if someone else has ever had a similar problem, its probably
> that, unless my system is REALLY messed up =)

That seems strange to me.  Maybe something else is going on that I
can't figure out from your mail but as far as I know, cp works fine...

-- 
Geoffrey Noer		Email: [email-masked]
Cygnus Solutions